cURL
curl --request GET \ --url https://your-domain.com/api/client/v1/deployments/configurations/{configurationId}/versions/diff \ --header 'Authorization: Bearer <token>'
{ "ok": true, "from": { "id": "<string>", "configuration_id": "<string>", "version_number": 123, "yaml": "<string>", "spec_hash": "<string>", "resource_count": 123, "pushed_by": "<string>", "pushed_at": 123, "push_message": "<string>", "base_version_id": "<string>" }, "to": { "id": "<string>", "configuration_id": "<string>", "version_number": 123, "yaml": "<string>", "spec_hash": "<string>", "resource_count": 123, "pushed_by": "<string>", "pushed_at": 123, "push_message": "<string>", "base_version_id": "<string>" }, "diff": { "unified": "<string>", "truncated": true, "stats": { "added": 123, "removed": 123 } }, "has_changes": true }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Deployment configuration ID.
Diff
Show child attributes